directory '/etc/apt/keyrings/' do
  owner 'root'
  group 'root'
  mode '0755'
end

execute 'wget -qO - https://mise.jdx.dev/gpg-key.pub | gpg --dearmor | tee /etc/apt/keyrings/mise-archive-keyring.gpg' do
  not_if 'test -f /etc/apt/keyrings/mise-archive-keyring.gpg'
end

remote_file '/etc/apt/sources.list.d/mise.list' do
  owner 'root'
  group 'root'
  mode '0644'
end

execute 'apt update' do
  not_if 'which mise'
end

package 'mise'


# For Ruby installation:
%w( git curl libssl-dev libreadline-dev zlib1g-dev autoconf bison build-essential libyaml-dev libreadline-dev libncurses5-dev libffi-dev libgdbm-dev ).each do |p|
  package p
end
